import kagglehub
import os
import shutil

# 获取当前工作目录
current_directory = os.getcwd()

# 下载数据集
path = kagglehub.dataset_download("sterby/german-recipes-dataset")

# 假设 path 是数据集文件夹路径，可以将文件移动到当前目录
# 遍历 path 中的所有文件，并将其移动到当前目录
for filename in os.listdir(path):
    file_path = os.path.join(path, filename)
    
    # 检查是否是文件而不是文件夹
    if os.path.isfile(file_path):
        # 移动文件到当前目录
        shutil.move(file_path, os.path.join(current_directory, filename))